Есть ли способ поиска неофициальных репозиториев в панели запуска?

Мне было интересно, был ли этот плазмоид STDIN кем-то упакован, поэтому я гуглил его. Казалось, что был упакован как plasma-widget-stdin . Тем не менее, этот (неофициальный) ppa также содержал некоторые другие вещи, в которых я не был заинтересован (и мог бы непреднамеренно обновиться).

Я хотел посмотреть, есть ли другие ppas, содержащие этот виджет, поэтому я попытался искать . Однако, похоже, что поиск на Launchpad содержит только официальные пакеты. Есть ли способ поиска на Launchpad неофициальных пакетов и репозиториев?

2
задан 14.04.2020, 03:13

1 ответ

Вторую ссылку, которую вы дали « plasma-widget-stdin », можно найти, выполнив поиск по основному сайту панели запуска, выполнив поиск по имени пакета (я смог найти его таким образом). Третья ссылка ведет на сайт панели запуска Ubuntu, который ищет только пакеты Ubuntu. Я не уверен, как вы оказались на «официальном сайте Ubuntu only», но если вы попадете туда в будущем, посмотрите в левом нижнем углу экрана, вы увидите название и логотип Launchpad, он заставит вас основной веб-сайт Launchpad, и вы можете искать неофициальные пакеты там. Чтобы перейти туда напрямую, веб-сайт:

launchpad.net

(который, как я верю, отвечает на ваш первоначальный вопрос, но, пожалуйста, продолжайте читать)


Похоже, что ppa, с которым вы связались, больше не поддерживается, поэтому я буду использовать любые пакеты из него с особой осторожностью.

Если вы найдете (активный) ppa, содержащий его, вы можете скачать его, нажав

  1. , щелкнув щелчок чуть выше списка пакетов » просмотреть сведения о пакете [1114 ] "
  2. щелкнув по имени пакета
  3. щелкнув по пакету .deb, который соответствует вашей архитектуре (i386 для 32-битной или amd для 64-битной)

Я бы сделал это также крайне осторожно, часто (но не всегда) другие пакеты, добавляемые в ppa, являются зависимостями того пакета, который вы хотите добавить, и использование нового пакета с более старыми зависимостями может быть в лучшем случае непредсказуемым;

Может вообще не удастся установить с ошибкой, что необходим пакет xx, тогда вам придется вернуться к ppa, с которого вы скачиваете отдельный пакет, скачать пакет, который был зависимым, попробовать чтобы установить его, затем вернитесь снова, загрузите зависимость для зависимости, затем установите зависимость для зависимости, затем установите зависимость, затем установите требуемый пакет (это известно в мире Linux как «ад зависимостей» по очевидным причинам). , ppa используются для предотвращения этой проблемы).

3
ответ дан 14.04.2020, 03:14

Теги

Похожие вопросы